com.jscape.inet.mft.workflow

## Enum Trigger.SingleInstanceMode

- java.lang.Object
- - java.lang.Enum<Trigger.SingleInstanceMode>
  - - com.jscape.inet.mft.workflow.Trigger.SingleInstanceMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Trigger.SingleInstanceMode>
  Enclosing class:
    Trigger

      public static enum Trigger.SingleInstanceMode
      extends java.lang.Enum<Trigger.SingleInstanceMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUEUED`
    `SKIPPED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Trigger.SingleInstanceMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Trigger.SingleInstanceMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUED

          public static final Trigger.SingleInstanceMode QUEUED

    - #### SKIPPED

          public static final Trigger.SingleInstanceMode SKIPPED

  - ### Method Detail

    - #### values

          public static Trigger.SingleInstanceMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Trigger.SingleInstanceMode c : Trigger.SingleInstanceMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Trigger.SingleInstanceMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.